Retrieve Project Policy Config Catalog

get

/ic/api/integration/v1/projects/{projectId}/mcp/policies/configs

Retrieves the supported security-policy configuration catalog. TOOLS_FILTER is included; PII_DETECTION is included only when its feature flag is enabled.

Request

Path Parameters
Query Parameters
  • This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
    Example:
    example-instance

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : MCPPolicyConfigsRs
Type: object
Catalog of supported MCP policy configuration templates.
Show Source
Nested Schema : items
Type: array
Items returned in this collection.
Show Source
Nested Schema : MCPPolicyConfigSummaryRs
Type: object
Display metadata identifying a supported MCP policy configuration template.
Show Source

400 Response

Malformed parameters

401 Response

Unauthorized or insufficient design-time permissions

404 Response

MCP feature or requested policy configuration is not available

500 Response

Server error
Back to Top

Examples

The following example shows how to retrieve the supported security-policy configuration catalog by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Retrieve Project Policy Config Catalog

curl --request GET --include \
  --url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/policies/configs?integrationInstance=${INTEGRATION_INSTANCE}" \
  --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/json"
Back to Top